package Shared.ProgramStateController;

public enum RuntimeState {

    STOPPING(0.0),
    STOPPED(1.0),
    PLAYING(2.0),
    PAUSING(3.0),
    PAUSED(4.0),
    RESUMING(5.0);

    private final double runtimeType;

    private RuntimeState(double runtimeType) {
        this.runtimeType = runtimeType;
    }

    public double getStateCode() {
        return runtimeType;
    }

}
