package Shared.ProgramStateController;

import Shared.Backend.BackendHandler;
import Shared.Backend.ControlOverScript;
import com.ur.urcap.api.domain.data.DataModel;
import Shared.ProgramStateController.StateMonitor;

public class ActionOnStop implements ActOnState {

    private DataModel dataModel;
  

    @Override
    public void actOnState(BackendHandler backendHandler) {
        ControlOverScript stopDispensingScript = new ControlOverScript(backendHandler);
        stopDispensingScript.stopDispense();
        StateMonitor.stopMonitorThread();
        //performStopActions();
        System.out.println("Stop");
        
    }

    private void performStopActions() {
        BackendHandler newBackendHandler = new BackendHandler(dataModel);
        new StateMonitor(newBackendHandler);

    }
  
    }
  