package Shared.ProgramStateController;

public class StateReturn {

    ActionOnPlay play = new ActionOnPlay();
    ActionOnPause pause = new ActionOnPause();
    ActionOnResume resume = new ActionOnResume();
    ActionOnStop stop = new ActionOnStop();

    public ActOnState returnState(double rtInfo) {
        if(rtInfo == RuntimeState.STOPPING.getStateCode()) {
            return stop;
        }else if(rtInfo == RuntimeState.STOPPED.getStateCode()) {
            return stop;
        }else if(rtInfo == RuntimeState.PLAYING.getStateCode()) {
            return play;
        }else if(rtInfo == RuntimeState.PAUSING.getStateCode()) {
            return pause;
        }else if(rtInfo == RuntimeState.PAUSED.getStateCode()) {
            return pause;
        }else if(rtInfo == RuntimeState.RESUMING.getStateCode()) {
            return resume;
        }
        return stop;
    }
}
